### Hierarchy

- ValidationError

## Index

### Constructors

- constructor

### Properties

- argument
- instance
- message
- name
- property
- schema

### Methods

- toString

## Constructors

### constructor

- new ValidationError(message?: undefined | string, instance?: any, schema?: Schema, propertyPath?: any, name?: undefined | string, argument?: any): ValidationError

- - Defined in node_modules/jsonschema/lib/index.d.ts:30

  #### Parameters

  - ##### Optional message: undefined | string

  - ##### Optional instance: any

  - ##### Optional schema: Schema

  - ##### Optional propertyPath: any

  - ##### Optional name: undefined | string

  - ##### Optional argument: any

  #### Returns ValidationError

## Properties

### argument

argument: any

- Defined in node_modules/jsonschema/lib/index.d.ts:37

### instance

instance: any

- Defined in node_modules/jsonschema/lib/index.d.ts:35

### message

message: string

- Defined in node_modules/jsonschema/lib/index.d.ts:33

### name

name: string

- Defined in node_modules/jsonschema/lib/index.d.ts:36

### property

property: string

- Defined in node_modules/jsonschema/lib/index.d.ts:32

### schema

schema: string | Schema

- Defined in node_modules/jsonschema/lib/index.d.ts:34

## Methods

### toString

- toString(): string

- - Defined in node_modules/jsonschema/lib/index.d.ts:38

  #### Returns string

Generated using TypeDoc